Package twisted :: Package protocols :: Module loopback :: Class LoopbackClientFactory

[show private | hide private]
[frames | no frames]

## Class LoopbackClientFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   LoopbackClientFactory

Method Summary
| `__init__(self, protocol)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed. (inherited from `ClientFactory`)
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `ClientFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector. (inherited from `Factory`)
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### clientConnectionLost(self, connector, reason)

Called when a connection is lost.

It may be useful to call connector.connect() - this will reconnect.

  Parameters:
    `reason`
    (type=`twisted.python.failure.Failure`)
  Overrides:
    `twisted.internet.protocol.ClientFactory.clientConnectionLost` (inherited documentation)

Generated by Epydoc 1.1 on Thu May 8 13:16:40 2003 | http://epydoc.sf.net